package com.ruoyi.business.domain;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

import com.ruoyi.system.api.domain.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 监控单元对象 hw_monitor_unit
 *
 * @author YINQ
 * @date 2023-08-31
 */
public class HwMonitorUnit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 监控单元ID */
    private Long monitorUnitId;

    /** 监控单元名称 */
    @Excel(name = "监控单元名称")
    private String monitorUnitName;

    /** 所属场景 */
    @Excel(name = "所属场景")
    private Long sceneId;

    /** 父级监控单元ID */
    @Excel(name = "父级监控单元ID")
    private Long parentId;

    /** 监控单元类型ID */
    @Excel(name = "监控单元类型ID")
    private Long monitorUnitTypeId;

    /** 区域ID */
    @Excel(name = "区域ID")
    private Long areaId;

    /** 详细地址 */
    @Excel(name = "详细地址")
    private String monitorAddress;

    /** 监控单元图片地址 */
    @Excel(name = "监控单元图片地址")
    private String monitorPic;

    /** 保存周期 */
    @Excel(name = "保存周期")
    private BigDecimal preserveTime;

    /** 状态 */
    @Excel(name = "状态")
    private Long monitorUnitStatus;

    /** 预留字段 */
    @Excel(name = "预留字段")
    private String monitorUnitField;
    private List<HwMonitorUnit> child = new ArrayList<HwMonitorUnit>();

    /** 子部门 */
    private List<HwMonitorUnit> children = new ArrayList<HwMonitorUnit>();

    public List<HwMonitorUnit> getChild() {
        return child;
    }

    public void setChild(List<HwMonitorUnit> child) {
        this.child = child;
    }

    public List<HwMonitorUnit> getChildren() {
        return children;
    }

    public void setChildren(List<HwMonitorUnit> children) {
        this.children = children;
    }

    public void setMonitorUnitId(Long monitorUnitId)
    {
        this.monitorUnitId = monitorUnitId;
    }

    public Long getMonitorUnitId()
    {
        return monitorUnitId;
    }
    public void setMonitorUnitName(String monitorUnitName)
    {
        this.monitorUnitName = monitorUnitName;
    }

    public String getMonitorUnitName()
    {
        return monitorUnitName;
    }
    public void setSceneId(Long sceneId)
    {
        this.sceneId = sceneId;
    }

    public Long getSceneId()
    {
        return sceneId;
    }
    public void setParentId(Long parentId)
    {
        this.parentId = parentId;
    }

    public Long getParentId()
    {
        return parentId;
    }
    public void setMonitorUnitTypeId(Long monitorUnitTypeId)
    {
        this.monitorUnitTypeId = monitorUnitTypeId;
    }

    public Long getMonitorUnitTypeId()
    {
        return monitorUnitTypeId;
    }
    public void setAreaId(Long areaId)
    {
        this.areaId = areaId;
    }

    public Long getAreaId()
    {
        return areaId;
    }
    public void setMonitorAddress(String monitorAddress)
    {
        this.monitorAddress = monitorAddress;
    }

    public String getMonitorAddress()
    {
        return monitorAddress;
    }
    public void setMonitorPic(String monitorPic)
    {
        this.monitorPic = monitorPic;
    }

    public String getMonitorPic()
    {
        return monitorPic;
    }
    public void setPreserveTime(BigDecimal preserveTime)
    {
        this.preserveTime = preserveTime;
    }

    public BigDecimal getPreserveTime()
    {
        return preserveTime;
    }
    public void setMonitorUnitStatus(Long monitorUnitStatus)
    {
        this.monitorUnitStatus = monitorUnitStatus;
    }

    public Long getMonitorUnitStatus()
    {
        return monitorUnitStatus;
    }
    public void setMonitorUnitField(String monitorUnitField)
    {
        this.monitorUnitField = monitorUnitField;
    }

    public String getMonitorUnitField()
    {
        return monitorUnitField;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("monitorUnitId", getMonitorUnitId())
                .append("monitorUnitName", getMonitorUnitName())
                .append("sceneId", getSceneId())
                .append("parentId", getParentId())
                .append("monitorUnitTypeId", getMonitorUnitTypeId())
                .append("areaId", getAreaId())
                .append("monitorAddress", getMonitorAddress())
                .append("monitorPic", getMonitorPic())
                .append("preserveTime", getPreserveTime())
                .append("remark", getRemark())
                .append("monitorUnitStatus", getMonitorUnitStatus())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("monitorUnitField", getMonitorUnitField())
                .toString();
    }
}